Redactions
List redaction jobs
Return a paginated list of redaction jobs, with optional filtering and ordering.
GET
/
v1
/
redactions
List redaction jobs
curl --request GET \
--url https://api.slate.inc/files/v1/redactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/files/v1/redactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/files/v1/redactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalCount": 123,
"countExceedsLimit": true,
"previousCursor": "<string>",
"nextCursor": "<string>"
},
"redactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"matterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"createdOn": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"rules": [
{
"match": {
"type": "literal",
"value": "<string>"
},
"transform": {
"type": "mask",
"keep": {
"from": 0,
"length": 32
}
}
}
],
"labeling": {
"mode": "numbers",
"ranges": [
{
"startPage": 2,
"endPage": 2
}
]
},
"completedOn": "2023-11-07T05:31:56Z",
"redactionDuration": "<string>",
"errorMessage": "<string>",
"crid": "<string>",
"fileName": "<string>",
"fileDescription": "<string>",
"summary": {
"ocrUsed": true,
"rules": [
{
"textCount": 123,
"ocrCount": 123,
"redactions": [
{
"page": 123,
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"confidence": 123,
"source": "ocr"
}
]
}
]
}
}
]
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
Query Parameters
Tenant owner for machine-to-machine requests
Number of items per page
Required range:
x >= 1Cursor for pagination
Available options:
asc, desc The column to order the results by, defaults to id
Available options:
id, createdOn, completedOn, status One or more columns and their values on which to filter results
Show child attributes
Show child attributes
⌘I
List redaction jobs
